> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/contacts/contacts.md).

# Contacts

## List Contacts

> Returns a list of your contacts for a specific campaign.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Contacts","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Contact":{"type":"object","properties":{"Id":{"type":"string","description":"Unique Contact ID. System-created contacts are prefixed with 'M'."},"FirstName":{"type":"string"},"LastName":{"type":"string"},"EmailAddress":{"type":"string","format":"email"},"Title":{"type":"string"},"ProfileImage":{"type":"string","format":"uri-reference"},"WorkPhoneNumberCountry":{"type":"string"},"WorkPhoneNumber":{"type":"string"},"CellphoneNumberCountry":{"type":"string"},"CellphoneNumber":{"type":"string"},"Editable":{"type":"boolean"},"Labels":{"type":"array","items":{"type":"string"}},"Accounts":{"type":"array","items":{"type":"object","properties":{"Id":{"type":"string"},"Name":{"type":"string"}}}},"Uri":{"type":"string","format":"uri-reference"}}}}},"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contacts":{"get":{"summary":"List Contacts","description":"Returns a list of your contacts for a specific campaign.","operationId":"listContacts","tags":["Contacts"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"The unique identifier for the account."},{"name":"CampaignId","in":"path","required":true,"schema":{"type":"integer"},"description":"The ID of the campaign (program) the contacts belong to."},{"name":"AccountId","in":"query","schema":{"type":"string"},"description":"Filter contacts by a specific partner account ID."},{"name":"Title","in":"query","schema":{"type":"string"},"description":"Filter contacts by their title."}],"responses":{"200":{"description":"An array of contact objects.","content":{"application/json":{"schema":{"type":"object","properties":{"Contacts":{"type":"array","items":{"$ref":"#/components/schemas/Contact"}}}}}}}}}}}}
```

## Create a Contact

> Creates a new contact and associates them with partner accounts.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Contacts","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"ContactCreate":{"type":"object","required":["FirstName","LastName","EmailAddress","Accounts"],"properties":{"FirstName":{"type":"string"},"LastName":{"type":"string"},"EmailAddress":{"type":"string","format":"email"},"Accounts":{"type":"string","description":"A comma-separated string of partner account Ids."},"Title":{"type":"string"},"ProfileImageUrl":{"type":"string","format":"uri"},"ProfileImageFile":{"type":"string","format":"binary","description":"Image file to upload."},"WorkPhoneNumber":{"type":"string"},"WorkPhoneNumberCountry":{"type":"string"},"CellphoneNumber":{"type":"string"},"CellphoneNumberCountry":{"type":"string"},"Labels":{"type":"string","description":"A comma-separated string of labels."}}}}},"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contacts":{"post":{"summary":"Create a Contact","description":"Creates a new contact and associates them with partner accounts.","operationId":"createContact","tags":["Contacts"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"The unique identifier for the account."},{"name":"CampaignId","in":"path","required":true,"schema":{"type":"integer"},"description":"The ID of the campaign (program) to create the contact in."}],"requestBody":{"description":"Contact information. Use multipart/form-data for profile image file uploads.","required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ContactCreate"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ContactCreate"}}}},"responses":{"200":{"description":"The contact was successfully created.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string"},"Uri":{"type":"string"}}}}}}}}}}}
```

## Retrieve a Contact

> Retrieves the details of an existing contact.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Contacts","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Contact":{"type":"object","properties":{"Id":{"type":"string","description":"Unique Contact ID. System-created contacts are prefixed with 'M'."},"FirstName":{"type":"string"},"LastName":{"type":"string"},"EmailAddress":{"type":"string","format":"email"},"Title":{"type":"string"},"ProfileImage":{"type":"string","format":"uri-reference"},"WorkPhoneNumberCountry":{"type":"string"},"WorkPhoneNumber":{"type":"string"},"CellphoneNumberCountry":{"type":"string"},"CellphoneNumber":{"type":"string"},"Editable":{"type":"boolean"},"Labels":{"type":"array","items":{"type":"string"}},"Accounts":{"type":"array","items":{"type":"object","properties":{"Id":{"type":"string"},"Name":{"type":"string"}}}},"Uri":{"type":"string","format":"uri-reference"}}}}},"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contacts/{ContactId}":{"get":{"summary":"Retrieve a Contact","description":"Retrieves the details of an existing contact.","operationId":"getContactById","tags":["Contacts"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"The unique identifier for the account."},{"name":"CampaignId","in":"path","required":true,"schema":{"type":"integer"},"description":"The ID of the campaign (program) the contact belongs to."},{"name":"ContactId","in":"path","required":true,"schema":{"type":"string"},"description":"The unique impact.com ID for the contact."}],"responses":{"200":{"description":"A contact object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Contact"}}}}}}}}}
```

## Update a Contact

> Updates the specified contact. Editable - false contacts can only have Labels updated.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Contacts","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"ContactUpdate":{"type":"object","properties":{"FirstName":{"type":"string"},"LastName":{"type":"string"},"EmailAddress":{"type":"string","format":"email"},"Title":{"type":"string"},"ProfileImageUrl":{"type":"string","format":"uri"},"ProfileImageFile":{"type":"string","format":"binary"},"WorkPhoneNumber":{"type":"string","description":"The contact's work phone number. Requires `WorkPhoneNumberCountry` if updated."},"WorkPhoneNumberCountry":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code. Required when `WorkPhoneNumber` is updated."},"CellphoneNumber":{"type":"string","description":"The contact's cellphone number. Requires `CellphoneNumberCountry` if updated."},"CellphoneNumberCountry":{"type":"string","description":"Two-letter ISO 3166-1 alpha-2 country code. Required when `CellphoneNumber` is updated."},"LabelsAdd":{"type":"string","description":"Comma-separated labels to add."},"LabelsRemove":{"type":"string","description":"Comma-separated labels to remove."},"AccountsAdd":{"type":"string","description":"Comma-separated account IDs to associate."},"AccountsRemove":{"type":"string","description":"Comma-separated account IDs to disassociate."}}}}},"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contacts/{ContactId}":{"put":{"summary":"Update a Contact","description":"Updates the specified contact. Editable - false contacts can only have Labels updated.","operationId":"updateContact","tags":["Contacts"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"The unique identifier for the account."},{"name":"CampaignId","in":"path","required":true,"schema":{"type":"integer"},"description":"The ID of the campaign (program) the contact belongs to."},{"name":"ContactId","in":"path","required":true,"schema":{"type":"string"},"description":"The unique impact.com ID for the contact to update."}],"requestBody":{"description":"Fields to update for the contact. Use multipart/form-data for file uploads.","required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"$ref":"#/components/schemas/ContactUpdate"}},"multipart/form-data":{"schema":{"$ref":"#/components/schemas/ContactUpdate"}}}},"responses":{"200":{"description":"The contact was successfully updated.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string"},"Uri":{"type":"string"}}}}}}}}}}}
```

## Delete a Contact

> Permanently deletes a user-created contact (Editable - true). This cannot be undone.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Contacts","version":"v12"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}}},"paths":{"/Advertisers/{AccountSID}/Campaigns/{CampaignId}/Contacts/{ContactId}":{"delete":{"summary":"Delete a Contact","description":"Permanently deletes a user-created contact (Editable - true). This cannot be undone.","operationId":"deleteContact","tags":["Contacts"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"},"description":"The unique identifier for the account."},{"name":"CampaignId","in":"path","required":true,"schema":{"type":"integer"},"description":"The ID of the campaign (program) the contact belongs to."},{"name":"ContactId","in":"path","required":true,"schema":{"type":"string"},"description":"The unique impact.com ID for the contact to delete."}],"responses":{"200":{"description":"The contact was successfully deleted.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v12/reference/contacts/contacts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
